@import "../../../../../scss/variables.scss";
@import "../../../../../../node_modules/bulma/sass/utilities/_all.sass";

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: $grey-dark-color;
  opacity: 1; /* Firefox */
}

.row {
  padding-right: 1.875rem;
  padding-left: 1.875rem;
}

.is-centered {
  justify-content: center !important;
}

.research-input {
  width: 100%;
  min-width: 15rem;
}

.autocomplete-items {
  position: absolute;
  border: 0.0625rem solid #d4d4d4;
  border-bottom: none;
  border-top: none;
  z-index: 99;
  background-color: white;

  /* position the autocomplete items to be the same width as the container: */
  top: 100%;
  left: 0;
  right: 0;
}
.autocomplete-items p {
  padding: 0.3125rem;
  cursor: pointer;
  background-color: #fff;
  border-bottom: 0.0625rem solid #d4d4d4;

  &:first-of-type {
    border-top: 0.0625rem solid #d4d4d4;
  }
}
.autocomplete-items p:hover,
.autocomplete-items p.isActive {
  /* when hovering an item: */
  background-color: #dee6ee;
}

.search-bar {
  height: 46px;

  .field {
    height: 100%;
    @media screen and(max-width:$tablet){
      height:40px;
    }

    .button,
    .input,
    .reset-research-icon {
      height: 100%;
      @media screen and(max-width:$tablet){
        height:40px;
      }

    }

    .reset-research-icon {
      cursor: pointer;
      pointer-events: auto;
      i {
        font-size: 0.875rem;
      }
    }
  }

  button {
    border-radius: 0;
    border: 0;
  }

  .button-research .button {
    color: #818080;
    padding: 0 1.25rem 0 1.25rem;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
    box-shadow: none;

    &::after {
      content: "";
      position: absolute;
      top: 25%;
      left: 1px;
      width: 1px;
      height: 50%;
      border-left: 1px solid #d1d1d1;
      z-index: 5;
    }

    &:hover,
    &:focus,
    &:active {
      color: $tomato-color;
      z-index: 5;
    }

    .icon {
      font-size: 1.25rem;

      svg {
        height: 18px;
        width: 17px;
      }
    }
  }

  input {
    padding-left: 1rem;
    padding-right: 1rem;
    border: 0;
    box-shadow: none;
  }
}

@media screen and (max-width: $desktop) {
  .search-bar {
    box-shadow: none;
  }
  .research-input {
    min-width: unset;
  }
}
